"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.decryptData = exports.decryptFile = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const CryptoJS = tslib_1.__importStar(require("crypto-js"));
const decryptFile = (fileNamePub, fileNameKey) => {
    try {
        const privateKey = fs.readFileSync(process.cwd() + `/${fileNameKey}`, 'utf-8');
        const token = JSON.parse(fs.readFileSync(process.cwd() + `/${fileNamePub}`, 'utf-8').toString());
        let bytes = CryptoJS.AES.decrypt(token.data, privateKey);
        let decryptedData = JSON.parse(bytes.toString(CryptoJS.enc.Utf8));
        fs.writeFileSync(`${fileNamePub}.json`, decryptedData);
        console.log('File was decrypted successfully');
    }
    catch (e) {
        console.log('ERROR: Invalid file of private key or encrypted data. Please, check the name of specified files');
        return;
    }
};
exports.decryptFile = decryptFile;
const decryptData = (fileNamePub, fileNameKey) => {
    try {
        let bytes = CryptoJS.AES.decrypt(fileNamePub, fileNameKey);
        let decryptedData = JSON.parse(bytes.toString(CryptoJS.enc.Utf8));
        return decryptedData;
    }
    catch (e) {
        console.log('ERROR: Invalid file of private key or encrypted data. Please, check the name of specified files');
        return;
    }
};
exports.decryptData = decryptData;
//# sourceMappingURL=decrypt.js.map