"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.encryptFile = void 0;
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const CryptoJS = tslib_1.__importStar(require("crypto-js"));
const uuid_1 = require("uuid");
const encryptFile = (fileName) => {
    try {
        const newFileName = fileName.split('.');
        fs.writeFileSync(`${newFileName[0]}.key`, (0, uuid_1.v4)());
        const privateKey = fs.readFileSync(process.cwd() + `/${newFileName[0]}.key`, 'utf-8');
        const data = fs.readFileSync(process.cwd() + `/${fileName}`, 'utf-8');
        const token = CryptoJS.AES.encrypt(JSON.stringify(data), privateKey).toString();
        const result = {
            data: token,
            createDate: Date.now(),
        };
        fs.writeFileSync(`${newFileName[0]}-pub.json`, JSON.stringify(result));
        console.log('File was encrypted successfully');
    }
    catch (e) {
        console.log(e);
        return;
    }
};
exports.encryptFile = encryptFile;
//# sourceMappingURL=encrypt.js.map