"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.jsonToEnv = void 0;
const tslib_1 = require("tslib");
const fs_1 = tslib_1.__importDefault(require("fs"));
const path_1 = require("path");
const lib_1 = tslib_1.__importDefault(require("../lib"));
const env_1 = require("./env");
const jsonToEnv = (data) => {
    const envFile = fs_1.default.createWriteStream((0, path_1.join)(process.cwd(), '.env'));
    if (data.file !== undefined) {
        const jsonFile = fs_1.default.readFileSync(process.cwd() + `/${data.file}`, 'utf-8');
        (0, lib_1.default)(jsonFile, envFile);
        console.log('Env was created from file');
    }
    else if (data.url !== undefined) {
        const urlData = (0, env_1.dataFromURL)(data.url);
        urlData.then((jsonData) => {
            (0, lib_1.default)(JSON.stringify(jsonData), envFile);
            console.log('Env was created from URL');
        });
    }
};
exports.jsonToEnv = jsonToEnv;
//# sourceMappingURL=json.js.map